Trả về danh sách lệnh đặt trong phiên
curl --request GET \
--url https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"filledQty": 123,
"avgPrice": 123,
"limitPrice": 123,
"stopPrice": 123,
"lastModified": 123,
"status": "<string>"
}
]OrdersV2
Trả về danh sách lệnh đặt trong phiên
GET
/
v2
/
broker-users
/
{userId}
/
accounts
/
{accountId}
/
orders
Trả về danh sách lệnh đặt trong phiên
curl --request GET \
--url https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/v2/broker-users/{userId}/accounts/{accountId}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"instrument": "<string>",
"instrumentItem": {
"instrument": "<string>",
"symbol": "<string>",
"name": "<string>",
"exchange": "<string>",
"unit": 123,
"type": "<string>",
"supportStopOrder": true,
"supportLimitOrder": true
},
"qty": 123,
"qtyType": 123,
"side": "<string>",
"type": "<string>",
"filledQty": 123,
"avgPrice": 123,
"limitPrice": 123,
"stopPrice": 123,
"lastModified": 123,
"status": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Scopes
orders-read
Đọc danh sách lệnh giao dịch chứng khoán
Tham số đường dẫn
Id của user đã kết nối vào tài khoản FireAnt
Id tài khoản tại công ty chứng khoán của user